// JavaScript Document
$("document").ready(function(){
	//选中效果
	$(".hotbag ul li,.sort_cont .cont li").mouseover(function(){
		$(this).addClass("curr");
	}).mouseout(function(){
		$(this).removeClass("curr");
	});
	//选中效果 end
	//遮罩层
/*	$(".hot_cont li a").mouseover(function(){
		$(this).find(".bgcolor").stop().slideDown("slow");
	}).mouseout(function(){
		$(this).find(".bgcolor").stop().slideUp("slow");
	});	*/
	$(".hot_cont li a").hover(function() {
		$(this).find(".bgcolor").stop().animate({top: "0", opacity:0.5}, "slow").css("display","block");
		$(this).find(".bgtxt").stop().animate({top: "0"}, "slow").css("display","block");
	},function(){
		$(this).find(".bgcolor").stop().animate({top: "179", opacity: 0}, "slow").css("display","none");
		$(this).find(".bgtxt").stop().animate({top: "179"}, "slow").css("display","none");
	});	
	//遮罩层 end
})

//广告滚动图片
$(function(){
	 var index = 0;
	 $("#btn span").mouseover(function(){
		index  =  $("#btn span").index(this);
		showImg(index);
	});	
	 //滑入 停止动画，滑出开始动画.
	 $('#imgnav').hover(function(){
			  if(MyTime){
				 clearInterval(MyTime);
			  }
	 },function(){
			  MyTime = setInterval(function(){
			    showImg(index)
				index++;
				if(index==4){index=0;}
			  } , 3000);
	 });
	 //自动开始
	 var MyTime = setInterval(function(){
		showImg(index)
		index++;
		if(index==4){index=0;}
	 } , 3000);
})
//关键函数：通过控制i ，来显示不通的幻灯片
function showImg(i){
		$("#img img")
			.eq(i).stop(true,true).fadeIn(800)
			.parent().siblings().find("img").hide();
		 $("#btn span")
			.eq(i).addClass("hov")
			.siblings().removeClass("hov");
}

//鼠标悬浮周边变暗
$(function() {
	$(".sort_ad1 a").hover(
		function() {
			$(".sort_ad1 a").find(".mask").stop();
			$(".sort_ad1 a").find(".mask").fadeTo(0,0.3);
			$(this).find(".mask").fadeTo(0,0);
		},
		function() {
			$(".sort_ad1 a").find(".mask").stop();
			$(".sort_ad1 a").find(".mask").fadeTo(0,0);
		}
	);
	$(".sort_ad2 a").hover(
		function() {
			$(".sort_ad2 a").find(".mask").stop();
			$(".sort_ad2 a").find(".mask").fadeTo(0,0.3);
			$(this).find(".mask").fadeTo(0,0);
		},
		function() {
			$(".sort_ad2 a").find(".mask").stop();
			$(".sort_ad2 a").find(".mask").fadeTo(0,0);
		}
	);
	$(".sort_ad3 a").hover(
		function() {
			$(".sort_ad3 a").find(".mask").stop();
			$(".sort_ad3 a").find(".mask").fadeTo(0,0.3);
			$(this).find(".mask").fadeTo(0,0);
		},
		function() {
			$(".sort_ad3 a").find(".mask").stop();
			$(".sort_ad3 a").find(".mask").fadeTo(0,0);
		}
	);
})